<template>
  <div class="container">
    <form @submit.prevent="logIn" class="authorization-container">
      <div class="input-container">
        <input v-model="username" type="text" placeholder="login" />
      </div>
      <div class="input-container">
        <input v-model="password" type="password" placeholder="password" />
      </div>
      <button @click="logIn">Log in</button>
    </form>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";

export default {
  name: "Authorization",
  data() {
    return {
      username: "",
      password: "",
    };
  },
  methods: {
    ...mapActions(["auth"]),
    logIn() {
      if (this.username.length >= 1 && this.password.length >= 6) {
        this.auth({ username: this.username, password: this.password });
        this.username = "";
        this.password = "";
      }
    },
  },
  mounted() {
    if (this.authorized) {
      this.$router.push("/board/");
    }
  },
  computed: {
    ...mapGetters({
      authorized: "getAuthStatus",
    }),
  },
  watch: {
    authorized: function (val) {
      if (val === false) {
        this.$router.push("/auth");
      } else {
        this.$router.push("/");
      }
    },
  },
};
</script>

<style scoped>
.container {
  display: flex;
  align-items: center;
  justify-content: center;
}
.authorization-container {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  align-items: center;
  padding: 25px 0;
  background: #ffffff;
  box-shadow: 0 10px 36px rgb(0 0 0 / 20%);
  border-radius: 25px;
  width: 600px;
}

button {
  background-color: inherit;
  border: none;
  transition: 1s;
  border-radius: 25px;
  margin: 10px 0 0 0;
  width: 100px;
  height: 40px;
}
button:hover {
  background-color: #ddd;
}

button:active {
  background-color: #ddd;
}
.input-container {
  max-width: 440px;
  min-width: 200px;
  width: 100%;
  height: 40px;
  border-radius: 25px;
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.1);
  display: flex;
  justify-content: flex-start;
  align-items: center;
  background-color: inherit;
  padding: 1px 1px 1px 10px;
  box-sizing: border-box;
  margin: 5px 0;
}
input {
  margin: 0;
  width: 100%;
  height: 100%;
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  border: none;
  background-color: inherit;
  padding: 0;
}
input:focus {
  outline: none;
}
</style>
